Configure Serial Numbers

Configure Serial Numbers
Configure Serial Numbers

Deprecated: This exists for compatibility. Serial Numbers are no longer supported or configurable.

Request
URI
POST
https://{opsmanager-installation}/api/v0/settings/serial_numbers
COPY
Request Body
SerialNumbers of type(s) application/json
Optional

Show optional properties

{
    "serial_numbers": [
        {
            "serial_number": "string"
        }
    ]
}
{
    "serial_numbers": [
        {
            "serial_number": "string",
            "description": "string"
        }
    ]
}
array of serial_numbers
serial_numbers
Required

A list of serial numbers

Responses
200

OK

Returns EmptyResponse of type(s) application/json
Operation doesn't return any data structure

400

Setup is not completed

Returns RequireSetupCompleted of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


401

Unauthorized

Returns UnauthorizedResponse of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


403

Forbidden

Returns ForbiddenResponse of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


422

Unprocessable Content

Returns NestedErrorsResponseVariant of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"serial_numbers":["string"]}' https://{api_host}/api/v0/settings/serial_numbers